%define rpm_macros_dir %{_rpmconfigdir}/macros.d

Summary:	Core shared library for Nde desktop suite
Name:		nde-lib
Version:	0.0.1
Release:	11%{?dist}
License:	LGPLv2
Url:		http://www.gd-linux.com
Source0:    %{name}-%{version}.tar.gz
Source1:	macros.nde
BuildRequires: cmake, nde-build-tools
BuildRequires: libXScrnSaver-devel, libstatgrab-devel, kf5-kwindowsystem-devel, glib2-devel
BuildRequires: qt5-qtbase-devel, qt5-qtx11extras-devel, qt5-qttools-devel, libqtxdg-devel, polkit-qt5-1-devel
# BuildRequires: nde-qtxdg-devel
# because nde-qtxdg and libqtxdg is same one software, so we use libqtxdg instead.
Requires: xdg-utils >= 1.1.0
Requires: libqtxdg



%description
Core utility library for all NDE components

%package devel
Summary:	Devel files for nde-lib
Requires:	%{name} = %{version}-%{release}
Requires:   nde-build-tools >= 0.0.1
Requires:   cmake


%description devel
Nde libraries for development.

%package l10n
Summary:    Translations for nde-lib
Requires:   %{name} = %{version}-%{release}

%description l10n
This package provides translations for the nde-lib package.



%prep
%setup -q



%build
%cmake -DPULL_TRANSLATIONS=NO ..
%cmake_build



%install
%cmake_install

install -p -m0644 -D %{SOURCE1} %{buildroot}%{_rpmconfigdir}/macros.d/macros.nde
touch -r %{SOURCE1} %{buildroot}%{_rpmconfigdir}/macros.d/macros.nde

%find_lang nde-lib --with-qt



%files
%license COPYING
%doc AUTHORS
%{_bindir}/nde-backlight_backend
%{_libdir}/libnde.so.0*
%{_datadir}/nde/power.conf
%{_datadir}/polkit-1/actions/org.nde.backlight.pkexec.policy

%files devel
%{_libdir}/libnde.so
%{_libdir}/pkgconfig/nde.pc
%{_includedir}/nde/
%{_datadir}/cmake/nde/
%{_rpmconfigdir}/macros.d/macros.nde

%files l10n -f %{name}.lang
%license COPYING
%doc AUTHORS README.md
%dir %{_datadir}/nde/translations/%{name}



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 1.0.0-11
- small fix

* Mon Nov 16 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-10
- 修改signals,slots为Q_SIGNALS,Q_SLOTS

* Wed Nov 4 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-9
- 注销时关闭会话

* Thu Sep 10 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-6
- 添加汉化

* Wed Aug 12 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-4
- 添加切换到登录程序接口

* Wed Jul 08 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-3
- 去掉原生suspend离开系统提示框

* Thu Jul 02 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-2
- 去掉原生离开系统提示框

* Wed May 13 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- 组件重命名(984)


